1 příspěvek / 0 new
Poslední
Obrázek uživatele JirkaZ
Offline
Naposledy viděn: 1 rok 6 měsíců zpět
Připojen: 17.10.2006 - 19:12
Zákaz aktualizace v YASTu?

Tak se zase na něco zeptám... Nainstaloval jsem openSUSE 11, samozřejmě s KDE 3.5.x. Zatí se zdá, že vše funguje, můžu dokonce potvrdit, že YAST a jeho správa programů je mnohem rychlejší než v 10.3 a i řešení závislostí se zdá být OK, takže jsem zatím nepoužil Smart (i když k tomu nakonec asi stejně dojde).

Mám ale problém s aktualizačním nástrojem: i když ve správci programů u nějaké aplikace zatrhnu "neměnit" (konkrétně Licq, protože to se ve verzi 11 opravdu nepovedlo - dlouho jsem hledal repozitář s funkční verzí...), tak aktualizační nástroj tvrdošíjně stále dokola nabízí aktualizaci Licq. Ta po své volbě samozřejmě neproběhne (protože je aplikace zamčená - alespoň že tohle respektuje) a po kontrole je dole v panelu výstraha znova...

Nemá někdo řešení, pokud bych chtěl zůstat u správy programů YASTem? Ve Smartu bych to ošetřit uměl, resp. to umí bez problémů on sám...

Díky

Obrázek uživatele JirkaZ
Offline
Naposledy viděn: 1 rok 6 měsíců zpět
Připojen: 17.10.2006 - 19:12
Nikdo se

s tím nikdy nesetkal?

JirkaZ

Obrázek uživatele Ilfirin
Offline
Naposledy viděn: 8 let 1 měsíc zpět
Připojen: 06.12.2006 - 17:39
Bohužel

Na vašem místě bych se vrátil asi k ověřenému Smartu.

Co jsem tak okem vypozoroval, o aktualizaci (onen applet) se stará PackageKit a ne přímo Yast. Takže já, i když jsem příznivec Yastu, Package Kit kostím a aktualizuji jednou za čas ručně.

PS.: Ale na stránkách Package Kitu se můžete dozvědět, jak je přechod na Linux skvělý a to se vyplatí :-).

Obrázek uživatele JirkaZ
Offline
Naposledy viděn: 1 rok 6 měsíců zpět
Připojen: 17.10.2006 - 19:12
Díky za reakci,

asi zkusím následující (bez nároku na předem určenou kombinaci či pořadí):

1) mrknu, zda už není zadaný bug u Novellu a případně ho tam přidám,

2) zkusím Smart včetně Ksmarttray (aplet místo toho PackageKitu, resp. dřív YASTu),

3) budu aktualizovat ručně,

4) nechám to ve stávajícím stavu - zase mě to tak nepálí, je to spíš kosmetická vada a třeba časem opraví buď Licq, nebo PackageKit, nebo obojí ;-)

JirkaZ